# Uses of Interface
net.sourceforge.jiu.data.IntegerImage

Packages that use IntegerImage
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.color
net.sourceforge.jiu.color.adjustment
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.data
net.sourceforge.jiu.filters
net.sourceforge.jiu.geometry
net.sourceforge.jiu.gui.awt
net.sourceforge.jiu.ops

## Uses of IntegerImage in net.sourceforge.jiu.codecs

Fields in net.sourceforge.jiu.codecs declared as IntegerImage
Modifier and Type
Field
Description
`private IntegerImage`
PNGCodec.`image`
`private IntegerImage`
GIFCodec.`imageToBeSaved`
Methods in net.sourceforge.jiu.codecs that return IntegerImage
Modifier and Type
Method
Description
`private IntegerImage`
PCDCodec.`createImage(int width, int height)`
`private IntegerImage`
RASCodec.`readImage()`

## Uses of IntegerImage in net.sourceforge.jiu.color

Methods in net.sourceforge.jiu.color with parameters of type IntegerImage
Modifier and Type
Method
Description
`private void`
Invert.`process(IntegerImage in)`

## Uses of IntegerImage in net.sourceforge.jiu.color.adjustment

Methods in net.sourceforge.jiu.color.adjustment with parameters of type IntegerImage
Modifier and Type
Method
Description
`private void`
EqualizeHistogram.`initTables(IntegerImage in)`
`private void`
NormalizeHistogram.`initTables(IntegerImage in)`
Constructors in net.sourceforge.jiu.color.adjustment with parameters of type IntegerImage
Modifier
Constructor
Description
``
`EqualizeHistogram(IntegerImage in)`
Creates an object of this class and initializes the lookup tables with the argument input image.
``
`NormalizeHistogram(IntegerImage in)`
Creates an object of this class and initializes the lookup tables with the argument input image.

## Uses of IntegerImage in net.sourceforge.jiu.color.analysis

Fields in net.sourceforge.jiu.color.analysis declared as IntegerImage
Modifier and Type
Field
Description
`private IntegerImage`
Histogram1DCreator.`image`
`private IntegerImage`
Histogram3DCreator.`image`
Methods in net.sourceforge.jiu.color.analysis with parameters of type IntegerImage
Modifier and Type
Method
Description
`static TextureAnalysis`
TextureAnalysis.`compute(IntegerImage image, int channelIndex)`
For one channel of the argument image, create a TextureAnalysis operation with all attributes
`static Integer`
Histogram1DCreator.`count(IntegerImage image)`
Static convenience method to count the number of different samples in the first channel of the argument image.
`static Integer`
Histogram1DCreator.`count(IntegerImage image, int channelIndex)`
Static convenience method to count the number of different samples in one of the channels of the argument image.
`static Integer`
Histogram3DCreator.`count(IntegerImage image)`
Static convenience method to count the number of colors in any three channel `IntegerImage` object.
`static CoOccurrenceMatrix`
MatrixCreator.`createCoOccurrenceMatrix(IntegerImage image, int channelIndex)`
`static void`
MatrixCreator.`initCoOccurrenceMatrix(IntegerImage image, int channelIndex, CoOccurrenceMatrix matrix)`
Initializes a co-occurrence matrix from the input image, using the direct four neighbor pixels.
`void`
Histogram1DCreator.`setImage(IntegerImage newImage)`
Set the image for which the histogram is to be initialized.
`void`
Histogram1DCreator.`setImage(IntegerImage newImage, int imageChannelIndex)`
Set the image and the channel index for which the histogram is to be initialized.
`void`
Histogram3DCreator.`setImage(IntegerImage newImage)`
The image for which a histogram will be initialized.
`void`
Histogram3DCreator.`setImage(IntegerImage newImage, int channelIndex1, int channelIndex2, int channelIndex3)`
The image for which a histogram will be initialized.

## Uses of IntegerImage in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction with parameters of type IntegerImage
Modifier and Type
Method
Description
`private void`
AutoDetectColorType.`createBilevelFromGrayOrRgb(IntegerImage in)`
Creates a bilevel image from any grayscale (or RGB) image that has been checked to be bilevel.
`private void`
AutoDetectColorType.`createGrayFromRgb(IntegerImage in, IntegerImage out)`
`private boolean`
AutoDetectColorType.`isGrayBilevel(IntegerImage in)`
`private boolean`
AutoDetectColorType.`isRgbBilevel(IntegerImage in)`

## Uses of IntegerImage in net.sourceforge.jiu.data

Subinterfaces of IntegerImage in net.sourceforge.jiu.data
Modifier and Type
Interface
Description
`interface`
`BilevelImage`
An interface for bilevel pixel image data classes.
`interface`
`ByteChannelImage`
An extension of the `IntegerImage` interface that restricts the image to byte samples.
`interface`
`Gray16Image`
Interface for grayscale images using integer samples that are sixteen bits large.
`interface`
`Gray8Image`
Interface for grayscale images using integer samples that are eight bits large.
`interface`
`GrayIntegerImage`
An empty interface for grayscale images which have integer values of up to 32 bits (`int` or smaller) as samples.
`interface`
`Paletted8Image`
An interface for classes that store paletted images with eight bit integers for each pixel.
`interface`
`PalettedIntegerImage`
An empty interface for a paletted image type that uses integer values as samples.
`interface`
`RGB24Image`
An empty interface for RGB truecolor images with integer samples that are each eight bits large (thus, 24 bits per pixel).
`interface`
`RGB48Image`
An empty interface for RGB truecolor images with integer samples that are each sixteen bits large (thus, 48 bits per pixel).
`interface`
`RGBIntegerImage`
An interface for RGB truecolor images that have integer samples.
`interface`
`ShortChannelImage`
An extension of the `IntegerImage` interface that restricts the image to `short` samples.
Classes in net.sourceforge.jiu.data that implement IntegerImage
Modifier and Type
Class
Description
`class`
`MemoryBilevelImage`
An implementation of the `BilevelImage` interface that stores image data in a `byte` array in memory.
`class`
`MemoryByteChannelImage`
An implementation of `ByteChannelImage` that stores image channels as `byte[]` arrays in memory.
`class`
`MemoryGray16Image`
An implementation of `Gray16Image` that keeps the complete image in memory.
`class`
`MemoryGray8Image`
An implementation of `Gray8Image` that keeps the complete image in memory.
`class`
`MemoryPaletted8Image`
This class stores a paletted image with one byte per sample in memory.
`class`
`MemoryRGB24Image`
A class to store 24 bit RGB truecolor images in memory.
`class`
`MemoryRGB48Image`
A class to store 48 bit RGB truecolor images in memory.
`class`
`MemoryShortChannelImage`
An implementation of `ShortChannelImage` that stores image channels as `short[]` arrays in memory.
Methods in net.sourceforge.jiu.data that return IntegerImage
Modifier and Type
Method
Description
`IntegerImage`
TransparencyInformation.`getAlphaChannelImage()`
Returns an image object that contains an alpha channel.
Methods in net.sourceforge.jiu.data with parameters of type IntegerImage
Modifier and Type
Method
Description
`void`
TransparencyInformation.`setAlphaChannelImage(IntegerImage newImage)`
Set a new alpha channel image object.

## Uses of IntegerImage in net.sourceforge.jiu.filters

Fields in net.sourceforge.jiu.filters declared as IntegerImage
Modifier and Type
Field
Description
`private IntegerImage`
BorderSampleGenerator.`image`
Methods in net.sourceforge.jiu.filters that return IntegerImage
Modifier and Type
Method
Description
`IntegerImage`
BorderSampleGenerator.`getImage()`
Returns the image from which data is copied.
Methods in net.sourceforge.jiu.filters with parameters of type IntegerImage
Modifier and Type
Method
Description
`private void`
ConvolutionKernelFilter.`copyRow(IntegerImage srcImage, int srcChannelIndex, int rowIndex, int[] dest, int destOffset, int numBorderColumns)`
Copies row data from input image to buffer and replicates samples at the left and right border.
`private void`
AreaFilterOperation.`process(int channelIndex, IntegerImage in, IntegerImage out)`
Applies the filter to one of the channels of an image.
`private void`
AreaFilterOperation.`process(IntegerImage in, IntegerImage out)`
`private void`
ConvolutionKernelFilter.`process(int channelIndex, IntegerImage in, IntegerImage out)`
Applies the kernel to one of the channels of an image.
`private void`
ConvolutionKernelFilter.`process(IntegerImage in, IntegerImage out)`
`private void`
AreaFilterOperation.`processBorders(int channelIndex, IntegerImage in, IntegerImage out)`
`private void`
AreaFilterOperation.`processCenter(int channelIndex, IntegerImage in, IntegerImage out)`
Constructors in net.sourceforge.jiu.filters with parameters of type IntegerImage
Modifier
Constructor
Description
``
`BorderSampleGenerator(IntegerImage integerImage, int areaWidth, int areaHeight)`
Initialize width and height of the area to be covered in every call to `BorderSampleGenerator.fill(int, int, int[])`, also provides the image to be used for data copying.

## Uses of IntegerImage in net.sourceforge.jiu.geometry

Methods in net.sourceforge.jiu.geometry with parameters of type IntegerImage
Modifier and Type
Method
Description
`private void`
Crop.`process(IntegerImage in, IntegerImage out)`
`private void`
Flip.`process(IntegerImage in, IntegerImage out)`
`private void`
Mirror.`process(IntegerImage in, IntegerImage out)`
`private void`
Resample.`process(IntegerImage in, IntegerImage out)`
This method does the actual work of rescaling an image.
`private void`
Rotate180.`process(IntegerImage in, IntegerImage out)`
`private void`
Rotate90Left.`process(IntegerImage in, IntegerImage out)`
`private void`
Rotate90Right.`process(IntegerImage in, IntegerImage out)`
`private void`
ScaleReplication.`process(IntegerImage in, IntegerImage out)`
`private void`
Shear.`process(IntegerImage in, IntegerImage out)`

## Uses of IntegerImage in net.sourceforge.jiu.gui.awt

Classes in net.sourceforge.jiu.gui.awt that implement IntegerImage
Modifier and Type
Class
Description
`class`
`BufferedRGB24Image`
A bridge class to use `BufferedImage` objects (class defined in the standard runtime library, package `java.awt.image`) as `RGB24Image` objects within JIU.

## Uses of IntegerImage in net.sourceforge.jiu.ops

Methods in net.sourceforge.jiu.ops with parameters of type IntegerImage
Modifier and Type
Method
Description
`private void`
LookupTableOperation.`process(IntegerImage in, IntegerImage out)`
`private void`
LookupTableOperation.`process(IntegerImage in, IntegerImage out, int CHANNEL_INDEX, int tableIndex, int processedItems, int TOTAL_ITEMS)`